--
-- $Id$
--
-- <<Korte omschrijving wat het script doet>>

DEFINE thisfile = 'YKPN#44728.sql'
DEFINE dbuser   = '^YKPN'
DEFINE custid   = 'YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE TABLE ykpn_imp_toegang
(
    alg_gebouw_code VARCHAR2 (12),
    alg_gebouw_soort VARCHAR2 (10),
    alg_gebouw_naam VARCHAR2 (60),
    soort_lezer VARCHAR2 (10),
    datum_txt VARCHAR2 (10),
    lezer VARCHAR2 (50),
    h00 NUMBER,
    h01 NUMBER,
    h02 NUMBER,
    h03 NUMBER,
    h04 NUMBER,
    h05 NUMBER,
    h06 NUMBER,
    h07 NUMBER,
    h08 NUMBER,
    h09 NUMBER,
    h10 NUMBER,
    h11 NUMBER,
    h12 NUMBER,
    h13 NUMBER,
    h14 NUMBER,
    h15 NUMBER,
    h16 NUMBER,
    h17 NUMBER,
    h18 NUMBER,
    h19 NUMBER,
    h20 NUMBER,
    h21 NUMBER,
    h22 NUMBER,
    h23 NUMBER,
    datum DATE
);


CREATE TABLE ykpn_toegang_saldo
(
    alg_gebouw_code VARCHAR2 (12),
    alg_gebouw_naam VARCHAR2 (60),
    datum DATE,
    dag VARCHAR2 (10),
    dag_nummer NUMBER,
    weekend VARCHAR2(3),
    tijd VARCHAR2 (2),
    aantal_wp NUMBER,
    saldo NUMBER,
    bezetting NUMBER (7, 2)
);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
